Disconnect a managed cluster
import requests
url = "https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/disconnect"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/disconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/disconnect \
--header 'Authorization: Bearer <token>'{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
"<string>"
],
"resources_marked": 123,
"success": true,
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retention_policy": "delete"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Managed Clusters
Disconnect a managed cluster
Bearer PAT authentication; RBAC permission clusters.delete. For Kapsule, provider_cluster_id is the opaque region-qualified regions/{region}/clusters/{id} reference. CNI is immutable. Imported/unknown provenance is disconnect-only; provider deletion is allowed by default only for created clusters.
POST
/
api
/
v1
/
clusters
/
managed
/
{provider}
/
{cluster_id}
/
disconnect
Disconnect a managed cluster
import requests
url = "https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/disconnect"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/disconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/disconnect \
--header 'Authorization: Bearer <token>'{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
"<string>"
],
"resources_marked": 123,
"success": true,
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retention_policy": "delete"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.
Path Parameters
Available options:
doks, uks, gke, ovh_mks, aks, eks, kapsule Example:
"kapsule"